// Ciel / Sky

textures/ef_paris/stencil_ciel
{
	qer_editorimage textures/ef_paris/ciel02.tga
	surfaceparm sky
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodlight
	nopicmip
	nomipmaps
	q3map_backsplash 0 0
	q3map_lightRGB 213 216 225
	q3map_sunExt 0.835 0.847 0.882 60 45 68 3 16
	q3map_skylight 100 5
 	skyparms - 512 -
	{
		map textures/ef_paris/ciel02.tga
		tcMod scale 3 3
		tcMod scroll 0.0200 0.00200
	}
}

// Rain

textures/ef_paris/rain
{
	qer_editorimage textures/ef_paris/r2
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .8
	cull none

	{
		map textures/ef_paris/r2.tga
		tcMod Scroll .01 -2.25
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ef_paris/r1.tga
		tcMod Scroll -.01 -2.25
		blendFunc GL_ONE GL_ONE
	}
}

// Eau canal / Canal water

textures/ef_paris/eau01
{
	qer_trans 0.5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	q3map_cheapwater 2 0.23 0.28 0.21
	cull disable
	sort 5
	deformVertexes wave 64 sin 0.5 0.5 0 0.5
	{
		map textures/ef_paris/eau02.tga
		blendFunc GL_dst_color GL_one
		rgbGen identity
		tcmod scale 0.15 0.15
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 0.001
	}
	{
		map textures/ef_paris/eau03.tga
		blendFunc GL_dst_color GL_one
		rgbGen identity
		tcmod scale 0.15 0.15
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll 0.025 -.001
	}
	{
		map textures/ef_paris/eau01.tga
		blendFunc GL_dst_color GL_one
		rgbGen identity
		tcmod scale 0.15 0.15
		tcmod scroll 0.001 0.025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbGen identity
	}
}

// Eau egout / Sewer water (slightly different fancywater values from canal water)

textures/ef_paris/eau01a
{
	qer_trans 0.5
	q3map_globaltexture
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm water
	q3map_fancywater 2 0.46 0.56 0.42
	cull disable
	sort 5
	deformVertexes wave 64 sin 0.5 0.5 0 0.5
	{
		map textures/ef_paris/eau02.tga
		blendFunc GL_dst_color GL_one
		rgbGen identity
		tcmod scale 0.15 0.15
		tcmod transform 1.5 0 1.5 1 1 2
		tcmod scroll -.05 0.001
	}
	{
		map textures/ef_paris/eau03.tga
		blendFunc GL_dst_color GL_one
		rgbGen identity
		tcmod scale 0.15 0.15
		tcmod transform 0 1.5 1 1.5 2 1
		tcmod scroll 0.025 -.001
	}
	{
		map textures/ef_paris/eau01a.tga
		blendFunc GL_dst_color GL_one
		rgbGen identity
		tcmod scale 0.15 0.15
		tcmod scroll 0.001 0.025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbGen identity
	}
}

// Chute d'eau / Falling water

textures/ef_paris/Cascade_01
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	{
		map textures/ef_paris/Cascade_01.tga
		tcMod Scroll 0 -1.4 // 0 1.8 // Water was falling upwards:-P
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

textures/ef_paris/ecume_04
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	{
		map textures/ef_paris/ecume_04.tga
		tcMod turb 0.0 0.05 0.0 0.2
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

// Seeping water

textures/ef_paris/eaucoule3
{
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nonsolid
	cull none
	{
		map textures/ef_paris/eaucoule3.tga
		tcMod turb 0.0 0.08 0.0 0.08
		tcMod Scroll 0 -0.1
		blendFunc GL_ONE GL_ONE
		rgbGen identity
	}
}

// Ecume / Mist clouds under falling water

textures/ef_paris/ecume_05-1
{
	qer_editorimage textures/ef_paris/ecume_05.tga
	qer_trans .5
	deformVertexes autoSprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		clampmap textures/ef_paris/ecume_05.tga
		alphagen wave sin 1 0.3 0 0.663
		tcMod rotate -17
		tcMod stretch sawtooth 1 0.22 0 0.663
		blendFunc blend
	}
}

textures/ef_paris/ecume_05-2
{
	qer_editorimage textures/ef_paris/ecume_05.tga
	qer_trans .5
	deformVertexes autoSprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		clampmap textures/ef_paris/ecume_05.tga
		alphagen wave sin 1 0.3 0 0.723
		tcMod rotate 13
		tcMod stretch sawtooth 1 0.17 0 0.723
		blendFunc blend
	}
}

textures/ef_paris/ecume_05-3
{
	qer_editorimage textures/ef_paris/ecume_05.tga
	qer_trans .5
	deformVertexes autoSprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		clampmap textures/ef_paris/ecume_05.tga
		alphagen wave sin 1 0.3 0 0.67
		tcMod rotate -10
		tcMod stretch sawtooth 1 0.133 0 0.67
		blendFunc blend
	}
}

textures/ef_paris/ecume_05-4
{
	qer_editorimage textures/ef_paris/ecume_05.tga
	qer_trans .5
	deformVertexes autoSprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	{
		clampmap textures/ef_paris/ecume_05.tga
		alphagen wave sin 1 0.3 0 0.597
		tcMod rotate 14
		tcMod stretch sawtooth 1 0.133 0 0.597
		blendFunc blend
	}
}

// Fenetre / Windows

textures/ef_paris/fenetre01-right
{
	qer_editorimage textures/ef_paris/fenetre01.tga
	{
		map textures/ef_paris/fenetre01.tga
	}
	{
		map textures/ef_paris/ciel02-reflection.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 0.25 0.5
		tcMod scroll -0.10 0.002
	}
	{
		map textures/ef_paris/fenetre01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/ef_paris/fenetre01-up
{
	qer_editorimage textures/ef_paris/fenetre01.tga
	{
		map textures/ef_paris/fenetre01.tga
	}
	{
		map textures/ef_paris/ciel02-reflection.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 0.25 0.5
		tcMod scroll 0.002 0.12
	}
	{
		map textures/ef_paris/fenetre01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/ef_paris/fenetre01-down
{
	qer_editorimage textures/ef_paris/fenetre01.tga
	{
		map textures/ef_paris/fenetre01.tga
	}
	{
		map textures/ef_paris/ciel02-reflection.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 0.25 0.5
		tcMod scroll 0.002 -0.12
	}
	{
		map textures/ef_paris/fenetre01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/ef_paris/fenetre02-right
{
	qer_editorimage textures/ef_paris/fenetre02.tga
	{
		map textures/ef_paris/fenetre02.tga
	}
	{
		map textures/ef_paris/ciel02-reflection.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 0.25 0.5
		tcMod scroll -0.10 0.002
	}
	{
		map textures/ef_paris/fenetre02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/ef_paris/fenetre02-up
{
	qer_editorimage textures/ef_paris/fenetre02.tga
	{
		map textures/ef_paris/fenetre02.tga
	}
	{
		map textures/ef_paris/ciel02-reflection.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 0.25 0.5
		tcMod scroll 0.002 0.12
	}
	{
		map textures/ef_paris/fenetre02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/ef_paris/fenetre02-down
{
	qer_editorimage textures/ef_paris/fenetre02.tga
	{
		map textures/ef_paris/fenetre02.tga
	}
	{
		map textures/ef_paris/ciel02-reflection.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		tcMod scale 0.25 0.5
		tcMod scroll 0.002 -0.12
	}
	{
		map textures/ef_paris/fenetre02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/ef_paris/fenetre01-plain
{
	qer_editorimage textures/ef_paris/fenetre01
	{
		map textures/ef_paris/fenetre01.tga
	}
	{
		map textures/ef_paris/reflection.tga
		tcGen environment
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		map textures/ef_paris/fenetre01.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/ef_paris/fenetre02-plain
{
	qer_editorimage textures/ef_paris/fenetre02
	{
		map textures/ef_paris/fenetre02.tga
	}
	{
		map textures/ef_paris/reflection.tga
		tcGen environment
		rgbGen identity
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
	{
		map textures/ef_paris/fenetre02.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_SRC_COLOR
	}
}

textures/ef_paris/fenetre01-lit
{
	qer_editorimage textures/ef_paris/fenetre01-blend
	q3map_surfacelight 750
	q3map_lightimage textures/ef_paris/fenetre-lightimage
	{
		map textures/ef_paris/fenetre01.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/ef_paris/fenetre01-blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

textures/ef_paris/fenetre02-lit
{
	qer_editorimage textures/ef_paris/fenetre02-blend
	q3map_surfacelight 750
	q3map_lightimage textures/ef_paris/fenetre-lightimage
	{
		map textures/ef_paris/fenetre02.tga
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
		rgbGen identity
	}
	{
		map textures/ef_paris/fenetre02-blend.tga
		blendFunc GL_ONE GL_ONE
	}
}

// Alpha

textures/ef_paris/fer_01 // Lumière / Ironwork used in lanterns and benches
{
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps
	{
		map textures/ef_paris/fer_01.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Balcon / Balconies

textures/ef_paris/fer_02 
{
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps
	{
		map textures/ef_paris/fer_02.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Grille / Bars

textures/ef_paris/Grille_01 
{
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps
	{
		map textures/ef_paris/Grille_01.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Fleurs / Flowers

textures/ef_paris/fleurs
{
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	{
		map textures/ef_paris/fleurs.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Herbes / Grass with small flowers

textures/ef_paris/herbe_03 
{
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps
	{
		map textures/ef_paris/herbe_03.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Flowers

textures/ef_paris/Plante_02
{
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	{
		map textures/ef_paris/Plante_02.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_paris/Plante_03
{
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	{
		map textures/ef_paris/Plante_03.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_paris/Plante_04
{
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	{
		map textures/ef_paris/Plante_04.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_paris/pigeon
{
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps
	{
		map textures/ef_paris/pigeon.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Volant / Barge's wheel

textures/ef_paris/peniche_05 
{
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps
	{
		map textures/ef_paris/peniche_05.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

// Ancre / Anchor

textures/ef_paris/peniche_09 
{
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	nopicmip
	nomipmaps
	{
		map textures/ef_paris/peniche_09.tga
		alphaFunc GE128
		depthWrite
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_paris/signe_01
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/signe_01.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/signe_02
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/signe_02.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/signe_03
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/signe_03.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/signe_04
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/signe_04.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/signe_05
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/signe_05.tga
		blendFunc blend
		rgbGen vertex
	}
}

// Plaque Egout / Manhole cover

textures/ef_paris/egout_02 
{
//	surfaceparm nomarks
	surfaceparm trans
//	surfaceparm nonsolid
	polygonOffset
	{
		map textures/ef_paris/egout_02.tga
		blendFunc blend
		rgbGen vertex
	}
}

// Trace homme / Chalk outline

textures/ef_paris/trace 
{
	nomipmaps
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm nonsolid
	polygonOffset
	{
		map textures/ef_paris/trace.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/Graffiti_1
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/Graffiti_1.tga
		blendFunc filter
	}
}

textures/ef_paris/Graffiti_2
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/Graffiti_2.tga
		blendFunc filter
	}
}

textures/ef_paris/Graffiti_3
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/Graffiti_3.tga
		blendFunc filter
	}
}

textures/ef_paris/Graffiti_4
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/Graffiti_4.tga
		blendFunc filter
	}
}

textures/ef_paris/affiche_01
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/affiche_01.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/affiche_02
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/affiche_02.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/affiche_03
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/affiche_03.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/affiche_04
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/affiche_04.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/affiche_05
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/affiche_05.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/splodey
{
	nopicmip
	surfaceparm nonsolid
	{
		map textures/ef_paris/splodey.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/french-captains
{
	surfaceparm nolightmap
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/french-captains.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/dutch-flag
{
	deformVertexes wave 10 sin 0 1 0 .8
	tessSize 10
	cull none
	{
		map textures/ef_paris/dutch-flag.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/uzl
{
	surfaceparm nolightmap
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/uzl.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/biddle
{
	qer_editorimage textures/ef_paris/biddle-1
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	polygonOffset
	{
		animMap 10 textures/ef_paris/biddle-1.tga textures/ef_paris/biddle-2.tga textures/ef_paris/biddle-3.tga textures/ef_paris/biddle-4.tga textures/ef_paris/biddle-5.tga textures/ef_paris/biddle-6.tga textures/ef_paris/biddle-7.tga textures/ef_paris/biddle-8.tga
		alphaFunc GE128
		rgbGen vertex
	}
}

textures/ef_paris/klaatu
{
	surfaceparm nolightmap
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/klaatu.tga
		rgbGen vertex
	}
}

textures/ef_paris/dednub
{
	surfaceparm nolightmap
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/dednub.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/spot-of-tea
{
	surfaceparm nolightmap
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/spot-of-tea.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/herboristerie
{
	surfaceparm nolightmap
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/herboristerie.tga
		blendFunc blend
		rgbGen vertex
	}
}

// SG

textures/ef_paris/sg_1
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/sg_1.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/sg_4 // Affiche
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/sg_4.tga
		blendFunc blend
		rgbGen vertex
	}
}

textures/ef_paris/sg_2
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/sg_2.tga
		blendFunc filter
	}
}

// Sale / Soot and grime

textures/ef_paris/sale_01
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/sale_01.tga
		blendFunc filter
	}
}

textures/ef_paris/sale_02
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/sale_02.tga
		blendFunc filter
	}
}

textures/ef_paris/sale_03
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/sale_03.tga
		blendFunc filter
	}
}

textures/ef_paris/sale_03-black
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/sale_03-black.tga
		blendFunc filter
	}
}

textures/ef_paris/sale_04
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/sale_04.tga
		blendFunc filter
	}
}

textures/ef_paris/sale_08
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/sale_08.tga
		blendFunc filter
	}
}

textures/ef_paris/sale_11
{
	polygonOffset
	nopicmip
	{
		map textures/ef_paris/sale_11.tga
		blendFunc filter
	}
}

// Vitre / Barge windows

textures/ef_paris/glass
{
	qer_trans 0.3
	surfaceparm trans
	cull disable
	{
		map textures/ef_paris/reflection.tga
		tcGen environment
		blendFunc GL_ONE GL_ONE
	}
	{
		map textures/ef_paris/glass.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	}
	{
		map $lightmap
		blendFunc filter
	}
}

// Fumé / Smoke and steam

textures/ef_paris/Vapeur_01
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	deformvertexes autosprite2
	{
		animMap 8 textures/ef_paris/Vapeur_01.tga textures/ef_paris/Vapeur_02.tga textures/ef_paris/Vapeur_03.tga textures/ef_paris/Vapeur_04.tga textures/ef_paris/Vapeur_05.tga textures/ef_paris/Vapeur_06.tga textures/ef_paris/Vapeur_07.tga textures/ef_paris/Vapeur_08.tga
		blendFunc GL_ONE GL_ONE
	}
}

// Flamme / Torch flames

textures/ef_paris/flame1
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	deformVertexes autoSprite
	q3map_surfacelight 64
	q3map_lightimage textures/ef_paris/flame-lightimage
	{
		animMap 10 textures/ef_paris/flame1.tga textures/ef_paris/flame2.tga textures/ef_paris/flame3.tga textures/ef_paris/flame4.tga textures/ef_paris/flame5.tga textures/ef_paris/flame6.tga textures/ef_paris/flame7.tga textures/ef_paris/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/ef_paris/flame2.tga textures/ef_paris/flame3.tga textures/ef_paris/flame4.tga textures/ef_paris/flame5.tga textures/ef_paris/flame6.tga textures/ef_paris/flame7.tga textures/ef_paris/flame8.tga textures/ef_paris/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/ef_paris/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.6 0.2 0 0.6
	}
}

textures/ef_paris/flame2
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	deformVertexes autoSprite
	q3map_surfacelight 64
	q3map_lightimage textures/ef_paris/flame-lightimage
	{
		animMap 10 textures/ef_paris/flame4.tga textures/ef_paris/flame5.tga textures/ef_paris/flame6.tga textures/ef_paris/flame7.tga textures/ef_paris/flame8.tga textures/ef_paris/flame1.tga textures/ef_paris/flame2.tga textures/ef_paris/flame3.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
	}
	{
		animMap 10 textures/ef_paris/flame5.tga textures/ef_paris/flame6.tga textures/ef_paris/flame7.tga textures/ef_paris/flame8.tga textures/ef_paris/flame1.tga textures/ef_paris/flame2.tga textures/ef_paris/flame3.tga textures/ef_paris/flame4.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}
	{
		map textures/ef_paris/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin 0.6 0.2 0 0.6
	}
}

// Lanterns and lights

textures/ef_paris/divers_01
{
	surfaceparm nolightmap
	{
		map textures/ef_paris/divers_01.tga
	}
}

textures/ef_paris/divers_01-nonsolid
{
	qer_editorimage textures/ef_paris/divers_01.tga
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/ef_paris/divers_01.tga
	}
}

textures/ef_paris/lampe
{
	surfaceparm nolightmap
	{
		map textures/ef_paris/lampe.tga
	}
}

textures/ef_paris/lampe-nonsolid
{
	qer_editorimage textures/ef_paris/lampe.tga
	surfaceparm nonsolid
	surfaceparm nolightmap
	{
		map textures/ef_paris/lampe.tga
	}
}

textures/ef_paris/fluo-light-reflector
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/ef_paris/fluo-light-reflector.tga
	}
}

textures/ef_paris/fluo-light-top
{
	surfaceparm nolightmap
	surfaceparm nonsolid
	{
		map textures/ef_paris/fluo-light-top.tga
	}
}

textures/ef_paris/fluo-light-pipe
{
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nonsolid
	{
		map textures/ef_paris/fluo-light-pipe.tga
	}
}

// Nonsolid

textures/ef_paris/bordure_05-nonsolid
{
	qer_editorimage textures/ef_paris/bordure_05.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/bordure_05.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/bordure_07-nonsolid
{
	qer_editorimage textures/ef_paris/bordure_05.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/bordure_07.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/bordure_08-nonsolid
{
	qer_editorimage textures/ef_paris/bordure_08.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/bordure_08.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/bordure_09-nonsolid
{
	qer_editorimage textures/ef_paris/bordure_09.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/bordure_09.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/mur_01-nonsolid
{
	qer_editorimage textures/ef_paris/mur_01.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/mur_01.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/mur_02-nonsolid
{
	qer_editorimage textures/ef_paris/mur_02.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/mur_02.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/mur_04-phong
{
	qer_editorimage textures/ef_paris/mur_04.tga
	q3map_shadeangle 180
	surfaceparm nonsolid
	{
		map textures/ef_paris/mur_04.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/mur_04-nonsolid
{
	qer_editorimage textures/ef_paris/mur_04.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/mur_04.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/mur_05-nonsolid
{
	qer_editorimage textures/ef_paris/mur_05.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/mur_05.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/mur_07-nonsolid
{
	qer_editorimage textures/ef_paris/mur_07.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/mur_07.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/mur_07b-phong
{
	q3map_shadeangle 180
	{
		map textures/ef_paris/mur_07b.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/mur_08-nonsolid
{
	qer_editorimage textures/ef_paris/mur_08.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/mur_08.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/mur_09-nonsolid
{
	qer_editorimage textures/ef_paris/mur_09.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/mur_09.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/mur_10-nonsolid
{
	qer_editorimage textures/ef_paris/mur_10.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/mur_10.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

// Curbs

textures/ef_paris/route_02-nonsolid 
{
	qer_editorimage textures/ef_paris/route_02.tga
	qer_trans 0.2
	surfaceparm nonsolid
	{
		map textures/ef_paris/route_02.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

// Orange metal

textures/ef_paris/peniche_06-nonsolid
{
	qer_editorimage textures/ef_paris/peniche_06.tga
	qer_trans 0.2
	surfaceparm nonsolid
	{
		map textures/ef_paris/peniche_06.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/metalnoir-nonsolid
{
	qer_editorimage textures/ef_paris/metalnoir.tga
	surfaceparm nonsolid
	{
		map textures/ef_paris/metalnoir.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

//

textures/ef_paris/journal_01
{
	surfaceparm nonsolid
	{
		map textures/ef_paris/journal_01.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/journal_02
{
	surfaceparm nonsolid
	{
		map textures/ef_paris/journal_02.tga
	}
	{
		map $lightmap
		blendFunc filter
	}
}

textures/ef_paris/la-liberte
{
	qer_editorImage textures/ef_paris/la-liberte.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	cull none
	deformvertexes autosprite
	{
		map textures/ef_paris/la-liberte.tga
		alphagen wave sin 1 0.5 0 0.05
		blendFunc blend
	}
}

textures/ef_paris/ghost-stairs
{
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	{
		map textures/ef_paris/ghost-stairs.tga
		alphagen wave sin 1 0.5 0 0.05
		blendFunc blend
	}
}


// Remove color splashes

textures/ef_paris/peniche_06:q3map
{
	{
		map textures/ef_paris/noir.tga
	}
}

textures/ef_paris/porte_02:q3map
{
	{
		map textures/ef_paris/noir.tga
	}
}

textures/ef_paris/porte_03:q3map
{
	{
		map textures/ef_paris/noir.tga
	}
}

textures/ef_paris/Plante_04:q3map
{
	surfaceparm trans
	surfaceparm nonsolid
	cull none
	{
		map textures/ef_paris/noir.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_paris/herbe_02:q3map
{
	surfaceparm trans
	cull none
	nopicmip
	nomipmaps
	{
		map textures/ef_paris/noir.tga
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/ef_paris/botclip
{
	qer_trans 0.40
	qer_editorimage textures/common/botclip.tga
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm botclip
	surfaceparm noimpact
	surfaceparm trans
}

textures/ef_paris/light
{
	deformVertexes autoSprite
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none

	{
		clampmap textures/ef_paris/light.tga
		blendFunc GL_ONE GL_ONE
	}
}

//Hostess

textures/ef_paris/Hotesse_01
{
	qer_editorimage textures/ef_paris/Hotesse_01.jpg
	deformVertexes autosprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull none
	{
		animMap 6 textures/ef_paris/Hotesse_01.jpg textures/ef_paris/Hotesse_01.jpg textures/ef_paris/Hotesse_01.jpg textures/ef_paris/Hotesse_01.jpg textures/ef_paris/Hotesse_01.jpg textures/ef_paris/Hotesse_01.jpg textures/ef_paris/Hotesse_01.jpg textures/ef_paris/Hotesse_01b.jpg
		blendFunc GL_ONE GL_ONE
	}	
}

textures/ef_paris/Hotesse_02
{
	qer_editorimage textures/ef_paris/Hotesse_02.jpg
	deformVertexes autosprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull none
	{
		animMap 6 textures/ef_paris/Hotesse_02.jpg textures/ef_paris/Hotesse_02.jpg textures/ef_paris/Hotesse_02.jpg textures/ef_paris/Hotesse_02.jpg textures/ef_paris/Hotesse_02.jpg textures/ef_paris/Hotesse_02.jpg textures/ef_paris/Hotesse_02.jpg textures/ef_paris/Hotesse_02b.jpg
		blendFunc GL_ONE GL_ONE
	}	
}

textures/ef_paris/Hotesse_03
{
	qer_editorimage textures/ef_paris/Hotesse_03.jpg
	deformVertexes autosprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull none
	{
		animMap 6 textures/ef_paris/Hotesse_03.jpg textures/ef_paris/Hotesse_03.jpg textures/ef_paris/Hotesse_03.jpg textures/ef_paris/Hotesse_03.jpg textures/ef_paris/Hotesse_03.jpg textures/ef_paris/Hotesse_03.jpg textures/ef_paris/Hotesse_03.jpg textures/ef_paris/Hotesse_03b.jpg
		blendFunc GL_ONE GL_ONE
	}	
}

textures/ef_paris/Hotesse_04
{
	qer_editorimage textures/ef_paris/Hotesse_04.tga
	deformVertexes autosprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull none
	{
		map textures/ef_paris/Hotesse_04.tga
		blendfunc blend
	}	
}

textures/ef_paris/Hotesse_06
{
	qer_editorimage textures/ef_paris/Hotesse_06.jpg
	deformVertexes autosprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull none
	{
		animMap 6 textures/ef_paris/Hotesse_06.jpg textures/ef_paris/Hotesse_06.jpg textures/ef_paris/Hotesse_06.jpg textures/ef_paris/Hotesse_06.jpg textures/ef_paris/Hotesse_06.jpg textures/ef_paris/Hotesse_06.jpg textures/ef_paris/Hotesse_06.jpg textures/ef_paris/Hotesse_06b.jpg
		blendFunc GL_ONE GL_ONE
	}	
}

textures/ef_paris/Hotesse_07
{
	qer_editorimage textures/ef_paris/Hotesse_07.tga
	deformVertexes autosprite
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	nopicmip
	cull none
	{
		map textures/ef_paris/Hotesse_07.tga
		blendfunc blend
	}	
}